import { Document } from "mongoose";
import { IStory } from "~/models/stories";
import { IUser } from "~/models/user";
import { Request } from "express";

declare global {
	declare namespace Express {
		interface Request {
			newStory?: IStory;
			user?: IUser;
			files: any;
			AddID?: string | number;
			readStory?: IStory;
			cidx?: number;
		}
		interface User {
			[key: string]: any;
		}
	}
}
